Ubuntu

[M4] Dell Inspiron 8000 shows split display on LiveCD

Reported by St Peter on 2008-07-12
28
This bug affects 3 people
Affects Status Importance Assigned to Milestone
xserver-xorg-video-ati (Ubuntu)
Medium
Unassigned

Bug Description

[Problem]
On LiveCD boot, desktop is split into several unequally sized overlapping areas on the screen. Works okay with -vesa at 800x600.

[Tested with]
Live cd of Ubuntu 8.04 ( Hardy Heron ) and Ubuntu 8.10 Alpha 4 and Beta 1 ( Intrepid Ibex )

Dell Inspirion 8000
Processor: Intel PIII mobile 900\700Mhz speedstep, MMX SSE
Cache: 256 KBytes
Bus speed: 100 Mhz
Chipset: Intel 815E
Southbridge: Intel 82801 BA (ICH2-M)
AGP version 2.0
ATI Mobility 128 M4 AGP 4X 16 MBytes RAM graphics adapter

[Original Report]
I expected Ubuntu to load normally and be able to recognize the graphics adapter without any problems since this is an old adapter this should not be a problem since both new and old hardware should work with it anyway. Mobile drivers are not as common as desktop variants but today laptops are outselling desktops in most segments.I don't know what kind of experience Ubuntu would have given me on this old low spec hardware since the live cd may not have given it justice though i know that it would become e waste if it isn't possible to use it. It is really loud and flaming hot but it could work as some kind of server or backup to my other computers. Sure I'm mostly interested to know that it can work rather than that i need it to work still support would be a great thing.

Under the Safe Graphics mode Ubuntu seem to be able to display the desktop correctly though not at full size\resolution. Rez 800x600 pixel

What happened under the live cd was that the screen was corrupted with screwed desktop where it was wrongfully positioned and where it look like having a part of two desktops on one screen overlapping each other, though in reality and after investigation the screen were shopped up into three different fields and then thrown around so that when the pointer moved from one field to another the pointer might appear on a different part of the screen. The fields were not equally sized there were two-three bigger ones and one-two smaller ones. The CD was working very hard all the time as well as the CPU and many times the computer seemed to freeze though this could be just the poor performance of the live cd when i ran the hardware test in Gnome to send you a report which I decided would be easier to write by myself instead since it just didn't finish.

It is very hard to get a feel for Ubuntu when things don't work or just barely works thus I want to say that improvements of the live CD is welcome.

Also the loading screen of Ubuntu have a progress bar that moves back and forth this isn't really any helpful since you don't have any visual clues about how much is left in the loading process the same goes for when scanning hardware in the hardware test.

Testing with Ubuntu 8.10 Appha 4 Intrepid Ibex:
Both as Live CD and installed with Wubi:

I've now tried using the computer with Intrepid Ibex and some improvement seem to have been made. For starters
This is probably a combination of improvements to ATI drivers and the design of X.Org.

The result is not the same for the live CD and when Ubuntu is installed through Wubi. Why this is I don't know.
Crashes with Intrepid Ibex Alpha 4 under live CD wasn't able too boot all the way to GDM nor to the Ubuntu loading screen, This was displayed: Version number of Busybox and then ash and something called Initramfs and a prompt to write commands.

When Intrepid Ibex Alpha 4 was installed with Wubi several errors appeared during boot up if this is the result of the unstable Alpha 4 or the physical CD I don't know.

Though the praphical boot up could finish I noticed screen corruption during the Ubuntu boot screen where the progress indicator was duplicated and\or half visible on other places than the right one. It (the screen) seemed to flash more than before with the Ubuntu 8.04 stable version.

Though the graphics has slightly improved pointing devices has actually worsened since Ubuntu 8.04. Under the Intrepid Ibex Alpha 4 neither the laptops keyboard pointing stick or mousepad worked neither could an USB HID compliant wired mouse from A4Tech with 2 wheels and 3 buttons I tried.

The sound did not work out of box with Ubuntu 8.04 we need to test this as well though it should be filed under a new bug that can be linked to this one.

Haven't tested the IR port or the docking station since I don't own one.

I will continue to report findings with later versions of the Alphas and Betas during the test up to release. I suspect though that my CD\DVD drive might be damaged and might not work properly or that my CD Burner not quite burns good images of the ISO files so if anyone else can help test this bug, it wont depend only on my findings.

New test with Ubuntu 8.10 Beta:
Done on: 2008-10-15
Both as Live CD and installed with Wubi:

Test 1: Live CD
Result: Still corrupts display. Still no pointing device support nor full keyboard support though GNOME insist that their is support for the laptops keyboard.

Test 2: Live CD + external display

Result: Works on laptop display with native resolution but external display not working at all. You only have to log out of GNOME and remove the external display and log back in to again get the corrupted display. Somehow the external display helps. Don't know why though. External display isn't recognized in the screen resolution dialog. The screens resolution isn't changeable to a lower resolution though. Its a Samsung 21 inch LCD display model: 213T. Still no pointing device support nor full keyboard support though GNOME insist that their is support for the laptops keyboard.

Test 3 Installed with Wubi:

Result: Corrupts display image. Still no pointing device support nor full keyboard support though GNOME insist that their is support for the laptops keyboard.

Test 4 Installed with wubi + external display:

Result: Just like the Live CD + external display picture returns to normal on the laptop screen but no image can be seen on the external display. Desktop is in the displays native resolution and you can remove the external display without anything happening as long as you dont log out and in again.The screens resolution isn't changeable to a lower resolution though.
Still no pointing device support nor full keyboard support though GNOME insist that their is support for the laptops keyboard.

Because of the problems in testing this laptop I have been forced to resort to test it with an external display, keyboard and mouse that is supported. Though the test mostly was done only with an external mouse since some keys on the keyboard worked and since my user name and password was very simple I luckily could log in with a more complicated one I would not be able to have done that. Especialy the keys on the middel was not functioning. Like G,H,T,Y,U,J,B,N,M and more.

I also will upload some log files since I now have been able to grab them so look out for them here.
Logfile 1: live.cd.xorg.0.log is the log file from the Live CD running without external display that I managed to copy
Logfile 2: wubi.ext.display.xorg.0.log is the copy of the log file that I copied from the wubi installation with an external display connected.
Just remove anything "Before" xorg in the filename to get the original filename as seen when copied.

Anyone have any thoughts on why it seems to work with an external display somewhat?

Cheers Peter

I have the same problem. Just installed on Inspiron 8000. The screen display is split in three overlappint "columns"--like three screens of the same thing (1/3 of a screen) overlapping each other. There must be a solution... but no one has posted anything. I'm a newbie to UBUNTU, although I'm familiar with HP-UX. I would imagine a driver would solve the problem; please do explain how to install, if there is such.
Thanks,
Vlad

Brian Murray (brian-murray) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. This bug did not have a package associated with it, which is important for ensuring that it gets looked at by the proper developers. You can learn more about finding the right package at https://wiki.ubuntu.com/Bugs/FindRightPackage. I have classified this bug as a bug in xorg.

Timo Aaltonen (tjaalton) wrote :

Please try Ubuntu 8.10 alpha3 live-cd.

Changed in xorg:
status: New → Incomplete

Thanks for taking the time to report this bug and helping to make Ubuntu better. In the development cycle for Intrepid there have been some vast improvements in the open source ati video driver and we could use your help testing them. Could you please download the latest Alpha CD image of Intrepid and test this particular bug just using the Live CD? You can find the latest image at http://www.ubuntu.com/testing . Your testing can help make Ubuntu and the open source ati driver even better! Thanks in advance.

I've got an identical machine that I wanted to load Ubuntu onto - and had the same issue.

Specifically, during install the screen goes to full-screen mode, 800x600, and the screen 'folds' over itself so to speak - and the installation boxes do not fully view.

I downloaded the 8.10 live CD, and it did the same thing.

I then proceeded to install in safe-graphics mode and it displays as desired, but in 800x600 mode but not using the entire screen...

Thought you might like to know. I've done a hardware test and will upload the results shortly.

St Peter (stpeter) on 2008-08-18
description: updated
Brian Murray (brian-murray) wrote :

If you could extract the '/var/log/Xorg.0.log' file from the Live CD that would be quite helpful.

Download full text (7.1 KiB)

Hi!

I'll try that. I'am quite new to 'nix OS'es so I need to read up on bug submitting and triaging and in generall on 'nix use and commands.
If you have a short step by step guide it would help much and go much faster if I ever can get that much of control over the mashine to actualy be able to get any work out of it.
In what ways does live cd and wubi installs differ when it comes to extracting log information?
Is there other logs that might be of interest?
To get these logs is it the only way to let ubuntu boot all the way to GDM or can I boot into a shell and get some info that way?

Is there a way to get an Ubuntu wubi install to force boot into Safe graphics mode?
I think that is the only way if at all to be able to solve this problem.

Thanks for all help and incurragement.
\Peter

--- Den tis 2008-08-19 skrev Brian Murray <email address hidden>:

> Från: Brian Murray <email address hidden>
> Ämne: [Bug 247771] Re: Dell Inspiron 8000 Hardware graphics adapter support ATI Mobility M4 Display corruption rendering fault-Split display
> Till: <email address hidden>
> Datum: tisdag 19 augusti 2008 23.57
> If you could extract the '/var/log/Xorg.0.log' file
> from the Live CD
> that would be quite helpful.
>
> --
> Dell Inspiron 8000 Hardware graphics adapter support ATI
> Mobility M4 Display corruption rendering fault-Split display
> https://bugs.launchpad.net/bugs/247771
> You received this bug notification because you are a direct
> subscriber
> of the bug.
>
> Status in “xserver-xorg-video-ati” source package in
> Ubuntu: Incomplete
>
> Bug description:
> Updated:
>
> Used with live cd of Ubuntu 8.04 Hardy Heron and Ubuntu
> 8.10 Alpha 4 Intrepid Ibex
>
> Dell Inspiron 8000 Hardware graphics adapter support ATI
> Mobility M4 Display corruption rendering fault
> some hardware info (not complete)
>
> Dell Inspirion
> PIII mobile 900\700Mhz speedstep, mmx
> 20 Gigbyte HDD
> ATI Mobility 128 M4 AGP 4X 16 MBytes RAM graphics adapter
> 256 Mbyte RAM
> Joystick mouse + mousepad
> 3 Com 10\100 Mbyte ethernet Mini PCI MIC. RJ 45
> connector
> # Com 56K Modem Mini PCI. RJ11 port
> 2 USB 1.1 ports, INTEL 82801BA\BAM USB Universal Host
> Controller
> Dockstation contat
> PCMCIA slots for PCMCIA cards 2 slots
> 1394a Firewire \ ILink mini connector
> ESS Maestro PCIAudio \ ESS Technology Inc.
> 3 Audio In\Out puts: mic, line in and headphone jacks
> PS2 Keyboard \ Mouse port
> VGA display port
> TV out connector
> Toshiba DVD 4x rom drive
> Floppy 3.5 inch drive
> 15 inch LCD display
> Seriell Com port
> Paralell LPT1 port
> Infrared port
> Special function keys for volume and playback
> Function key for using normal keys as special keys for
> example screen brightness suspend and bios enter commands.
>
> I expected Ubuntu to load normaly and be able to recognize
> the graphics adapter without any problems since this is an
> old adapter this should not be a problem since both new and
> old hardware should work with it anyway. Mobile drivers are
> not as common as desktop variants but today laptops are
> outselling desktops in most segments.I dont know what kind
> of experience Ubuntu would have given me on this old low
> spec hardware since the li...

Read more...

Download full text (6.0 KiB)

Ack.. Sorry, I ditched the CD - I had to blow the machine away to prep fro
another project, sorry.. If it helps, I was using the downloaded Intrepid
Ibex - if you want to pull it out of there..

D.

-----Original Message-----
From: <email address hidden> [mailto:<email address hidden>] On Behalf Of
Brian Murray
Sent: Tuesday, August 19, 2008 5:57 PM
To: <email address hidden>
Subject: [Bug 247771] Re: Dell Inspiron 8000 Hardware graphics adapter
supportATI Mobility M4 Display corruption rendering fault-Split display

If you could extract the '/var/log/Xorg.0.log' file from the Live CD that
would be quite helpful.

--
Dell Inspiron 8000 Hardware graphics adapter support ATI Mobility M4 Display
corruption rendering fault-Split display
https://bugs.launchpad.net/bugs/247771
You received this bug notification because you are a direct subscriber of
the bug.

Status in "xserver-xorg-video-ati" source package in Ubuntu: Incomplete

Bug description:
Updated:

Used with live cd of Ubuntu 8.04 Hardy Heron and Ubuntu 8.10 Alpha 4
Intrepid Ibex

Dell Inspiron 8000 Hardware graphics adapter support ATI Mobility M4 Display
corruption rendering fault some hardware info (not complete)

Dell Inspirion
PIII mobile 900\700Mhz speedstep, mmx
20 Gigbyte HDD
ATI Mobility 128 M4 AGP 4X 16 MBytes RAM graphics adapter
256 Mbyte RAM
Joystick mouse + mousepad
3 Com 10\100 Mbyte ethernet Mini PCI MIC. RJ 45 connector # Com 56K Modem
Mini PCI. RJ11 port
2 USB 1.1 ports, INTEL 82801BA\BAM USB Universal Host Controller Dockstation
contat PCMCIA slots for PCMCIA cards 2 slots 1394a Firewire \ ILink mini
connector ESS Maestro PCIAudio \ ESS Technology Inc.
3 Audio In\Out puts: mic, line in and headphone jacks
PS2 Keyboard \ Mouse port
VGA display port
TV out connector
Toshiba DVD 4x rom drive
Floppy 3.5 inch drive
15 inch LCD display
Seriell Com port
Paralell LPT1 port
Infrared port
Special function keys for volume and playback Function key for using normal
keys as special keys for example screen brightness suspend and bios enter
commands.

I expected Ubuntu to load normaly and be able to recognize the graphics
adapter without any problems since this is an old adapter this should not be
a problem since both new and old hardware should work with it anyway. Mobile
drivers are not as common as desktop variants but today laptops are
outselling desktops in most segments.I dont know what kind of experience
Ubuntu would have given me on this old low spec hardware since the live cd
may not have given it justice though i know that it would become e wasrte if
it isn't possible to use it. It is realy loud and flaming hot but it could
work as some kind of server or backup to my other computers. Sure I'am
mostly interested to know that it can work rather than that i need it to
work still support would be a great thing.

Under the Safe Graphics mode Ubuntu seem to be able to desplay the desktop
correctly though not at full size\rezolution. Rez 800x600 pixel

What happened under the live cd was that the screen was corrupted with
scewed desktop where it was wrongfully positioned and where it look like
having a part of two desktops on one screen overlapping each other, though
in reality a...

Read more...

darryl, actually the Xorg.0.log is generated when you boot up, so it's not something we can get off the CD.

St Peter, could you see if yo ucan reproduce the issue on Intrepid and post your log file?

St Peter (stpeter) on 2008-08-20
description: updated
St Peter (stpeter) on 2008-08-20
description: updated
Bryce Harrington (bryce) on 2008-08-28
Changed in xserver-xorg-video-ati:
status: Incomplete → New
status: New → Incomplete
Bryce Harrington (bryce) wrote :

Hi, it's been some time since we last heard from you - are you still interested in this bug? If so, it'd be great if you could re-test it against intrepid, and provide the info mentioned above. Otherwise, we'll close this as expired.

BE_Bob (bobcargill) wrote :

I just installed kubuntu 8.04.1 Live CD on a Dell Inspiron 8000 and I had the same problem. The graphics card is ATI 128 Rage Mobility. But I found a solution!

When I tried changing the refresh rate via System Settings -> Monitor & Display, I only had 800x600 and 640x480 as possible screen resolutions. So I went into the Hardware tab and changed the Monitor #1: to "LCD Panel 1400x1050" (by the way, this was a pain in the butt because of the screen issues!). Anyway, it displayed a warning that this combination hadn't been tried on this hardware. I said do it anyway (hit the OK button). It then told me to log out and restart the X Server, which I did. It booted up again in 800x600 resolution with the same problem. But, when I changed the screen resolution to native (1400x1050), it fixed the problem! No more crazy three column overlapping mess.

I am new to Linux and ubuntu/kubuntu, but if you'd like me to post any files, just let me know.

Youssef (that-y-guy) wrote :

i'm waiting for intrepid stable to test it. but in my case it's an nvidia thing and not ATI.

Bryce Harrington (bryce) wrote :

@Youssef, if you're not using -ati, then you don't have this bug. File a new one using `ubuntu-bug xorg`.

Download full text (6.3 KiB)

I tried Kubuntu, as someone else suggested, and I don't see a Monitor & Display under the System Settings menu or a Hardware tab to change the monitor...
Vlad

----- Original Message ----
From: Bryce Harrington <email address hidden>
To: <email address hidden>
Sent: Thursday, October 2, 2008 4:10:33 PM
Subject: [Bug 247771] Re: Dell Inspiron 8000 Hardware graphics adapter support ATI Mobility M4 Display corruption rendering fault-Split display

@Youssef, if you're not using -ati, then you don't have this bug. File
a new one using `ubuntu-bug xorg`.

--
Dell Inspiron 8000 Hardware graphics adapter support ATI Mobility M4 Display corruption rendering fault-Split display
https://bugs.launchpad.net/bugs/247771
You received this bug notification because you are a direct subscriber
of the bug.

Status in “xserver-xorg-video-ati” source package in Ubuntu: Incomplete

Bug description:
Updated:

Used with live cd of Ubuntu 8.04 Hardy Heron and Ubuntu 8.10 Alpha 4 Intrepid Ibex

Dell Inspiron 8000 Hardware graphics adapter support ATI Mobility M4 Display corruption rendering fault
some hardware info (not complete)

Dell Inspirion 8000
Processor: Intel PIII mobile 900\700Mhz speedstep, MMX SSE
Cache: 256 KBytes
Bus speed: 100 Mhz
Chipset: Intel 815E
Southbridge: Intel 82801 BA (ICH2-M)
Harddrive controller: Ultra ATA 100
Harddrive size: 20 Gigbyte
Harddrive speed: 4200 rpm
Harddrive interface: Ultra ATA 66
AGP version 2.0
Transfer rate: 4X
Max supported: 4X
ATI Mobility 128 M4 AGP 4X 16 MBytes RAM graphics adapter
Memmory: 256 MByte SDRAM
Max capacity: 512 MByte

Joystick mouse + mousepad
3 Com 10\100 Mbyte ethernet Mini PCI MIC. RJ 45 connector
3 Com 56K Modem Mini PCI. RJ11 port
2 USB 1.1 ports, INTEL 82801BA\BAM USB Universal Host Controller
Dockstation contact
PCMCIA slots for PCMCIA cards 2 slots of witch 2 Type II or 1 Type III
1394a Firewire \ ILink mini connector
ESS Maestro PCIAudio \ ESS Technology Inc.
3 Audio In\Out puts: mic, line in and headphone jacks
PS2 Keyboard \ Mouse port
VGA display port
TV out connectorz
Toshiba DVD 4x rom drive
Floppy 3.5 inch drive
15 inch LCD display
Maximum LCD resolution: 1400 x 1050
Seriell Com port
Paralell LPT1 port
Infrared port
Special function keys for volume and playback
Function key for using normal keys as special keys for example screen brightness suspend and bios enter commands.

I expected Ubuntu to load normaly and be able to recognize the graphics adapter without any problems since this is an old adapter this should not be a problem since both new and old hardware should work with it anyway. Mobile drivers are not as common as desktop variants but today laptops are outselling desktops in most segments.I dont know what kind of experience Ubuntu would have given me on this old low spec hardware since the live cd may not have given it justice though i know that it would become e wasrte if it isn't possible to use it. It is realy loud and flaming hot but it could work as some kind of server or backup to my other computers. Sure I'am mostly interested to know that it can work rather than that i need it to work still support would be a great thing.

Under the Safe Graphics mode Ubuntu seem to be...

Read more...

St Peter (stpeter) wrote :

Hello. I am new to ubuntu & linux but have significant computer experience. I have been having the exact same problem installing Ubuntu 8.10 beta on my Dell Inspiron 8000. With Normal Install I get the same messed-up screen display that, although can be used, is extremely time-consuming/frustrating to navigate. Three vertical columns appear, consisting of screen areas that are out of place and the middle of the screen is not visible while the right of the screen is duplicated. Installing in Safe Graphics Mode the system loads but the correct screen resolution cannot be enabled (by me).

The lspci - nn | grep VGA is:
     01:00.0 VGA compatible controller
     [0300] : ATI Technologies Inc Rage Mobility M4 AGP [1002:4d46]

I am not sure if this is anything new. I just wanted to add to the report my experience with the problem. I have exhaustively tried to find a solution within the support documentation and forums to no avail. If you have any suggestions or if I can be of any help, I would be happy to help solve this issue.

Thank you.

Jason

Hi Jason and all others.

I just did a quick search with google with frase "install linux on dell inspiron 8000" witch gave some intresting results though most of the links are tips from older versions and other distros they might be possible to make similar hacks in ubuntu. All testing should be done with caution and all material is provided as is from those external sorces offcourse. I have not yet been able to test any of them myself so any help with that would be apriciated by everyone here as well as any ubuntu specific hacks you make or find out.

Still wondering what it will take to get dev attention or just status change on this bug since it now should be clear this isnt going away.

Best regards to all!
\St Pet

      __________________________________________________________
Går det långsamt? Skaffa dig en snabbare bredbandsuppkoppling.
Sök och jämför priser hos Kelkoo.
http://www.kelkoo.se/c-100015813-bredband.html?partnerId=96914325

Changed in xserver-xorg-video-ati:
status: Incomplete → Confirmed

Hi!

After the open week I was more inspired to make some more progress on this bug (witch is my first ever:-) ). Both thanks to excellent sessions and alot of self learning I searched the X.org bug tracker system and this is what I found. Please help me verify that I have found the right bug there so we can make a linkage etc. If none of them are the right one please instruct on how to progress further!

One of the bugs are talking about the ATI Rage M4 from a Dell Latitude witch I believe is not the same as the ATI Mobility 128 M4 Dell Inspiron but they may suffer from the same problem.

https://bugs.freedesktop.org/show_bug.cgi?id=1163
https://bugs.freedesktop.org/show_bug.cgi?id=7460

Cu Peter!

      __________________________________________________________
Går det långsamt? Skaffa dig en snabbare bredbandsuppkoppling.
Sök och jämför priser hos Kelkoo.
http://www.kelkoo.se/c-100015813-bredband.html?partnerId=96914325

Hi

I just wanted to send this link that shows all drivers\utilities for Dell Inspiron 8000 on the Dell support site. They are all built for Red Hat EL 7 though.

The most intresting softwares are for the ATI card offcourse and the power managment . If these have been incorporated into the linux kernel or somehow have been built into Ubuntu I don't know? There for any developer attention to those packages would be intresting to see if it is possible to extract the drivers from the RPM files and get them to work on Ubuntu.

If these already are used in Ubuntu it would seem this is a Ubuntu bug and not an X.org bug or mean that the driver isn't stable enough.

The link is: http://support.dell.com/support/downloads/driverslist.aspx?os=LN70&osl=EN&catid=-1&impid=-1&servicetag=&SystemID=INS_PNT_P3CG_8000&hidos=WNT5&hidlang=en&TabIndex=

CU \Peter

      ___________________________________________________
Sök efter kärleken!
Hitta din tvillingsjäl på Yahoo! Dejting: http://ad.doubleclick.net/clk;185753627;24584539;x?http://se.meetic.yahoo.net/index.php?mtcmk=148783

Peter, I'm amazed you found anything on the Dell site so long after they stopped supporting the I8000.

I saw something in another post where a guy used a utility to convert an rpm file to a deb-compliant file. Maybe I can find it (the utility, I mean).

This has been a real bugaboo! I've spent hours and hours on it and gotten nowhere. I installed Envy and it couldn't identify the correct driver. The driver details for the r128 driver as described on sourcentral (man.sourcentral.org) fit perfectly with the hardware (although it only supports 24 bit color). Someone said he thought it was a problem with x.org rather than the driver - who knows?

The redhat ati driver really interests me, though. I wonder if it will work?

norm1710 (ian-t-price) wrote :

I Had the same problem on a Inspiron 8000. I found this google link which fixed the problem:

http://linugadgetech.blogspot.com/2008/09/ubuntu-video-configuration-on-dell.html

Essentially you need to modify the xorg.conf file to get a workable video for X server.

These instructions are not for the faint heart (those people who have never seen a command prompt in their lives). I'm glad I was a Dell Unix support person in a former life!

I also recently did an intrepid install on an insprion 8000 with the split screen problem

While I followed other tweaks to xorg.conf which I found on lists, the key was to reduce the color depth:

In Section "Screen", add

DefaultDepth 16 (instead of 24)

If need be (or preferred), add (restricted) modes
Modes "1024x768" "800x600"

Bryce Harrington (bryce) on 2009-02-27
description: updated
Bryce Harrington (bryce) on 2009-02-27
description: updated

Peter, in reviewing this bug report, I think part of the problem is that there are too many different unrelated issues being reported in it, which makes it difficult to follow and hard to understand what specifically needs to be solved.

As a general rule, please always limit one issue per bug report. For this report, let's focus specifically on the split screen issue, as that sounds like the main X problem here. For any other issues you encounter please file a new bug report.

What I would like to do next is to forward this bug upstream. However, before we do that it needs to be tested against a newer version of the -ati driver in case the issue has already been solved. The easiest way to do this is to boot the Jaunty Alpha-5 LiveCD, which you can get from http://cdimages.ubuntu.com/releases/jaunty/. Can you give that a go and report your findings here?

Also, if at all possible please attach a digital photo of the screen when it is showing the error, as that could help upstream identify the problem. Thanks ahead of time.

Changed in xserver-xorg-video-ati:
importance: Undecided → Medium
status: Confirmed → Incomplete
Download full text (24.0 KiB)

Hi Bryce

I agree that the report may have been badly written. The report was my and still is my first bug report and I haven't realy gotten into probper way of writing them. Plus the problems described has forced me to stil use windows. Its great to see that someone from time to time are looking at the bug though. Sadly just like I have seen you do many people have not been able to take their fingers of changing the original review\bug report. Since it has been changed so much it is hard to know if any valueable info has gotten lost. I think that only the reporter should be able to change the original since if the author isn't active the bug report will probably get discarded anyway. Does the bug team look at this diffrently? There is still alot of opertunity to comment the report in launchpad so anyone that want to notice any irrelevant facts or missleading wordings can do so.

We may have diffrent views on whats important or not but changing in someones bug report makes that person feel that the bug report wasn't good enough and since the comment function exis I feel that it is equaly important to use it.

I've decided only to test versions of ubuntu either betas RCs or final releases and only once per realese.
Why you may ask, well since I am still not running ubuntu 24\7 its quite a pain to install it just for a one-two hour try out when the result is almost sure to be a negative one.
If the x server team sent a note saying hey we think we solved your bug I get right on testing. Iam not expecting much only 2d to work sure 3d would be nice for the desktop effects but i can live without that.

A wuestion for those of you that work daily with this kinds of issues is,
Is there any incentives for hardware manufacturers to producing and supporting hardware long after they have been released and is not produced any more?
Beside3s laptop graphics drivers has for a long time not been developed by the graphics manufacturer but by the computer maker in this case DELL.
So how should one complain to. I visited Dells ide3astorm website but didn't get into fileing a request it seemed to much trouble registering an acount and such. I felt that I already had a bug acount in launchpad.
I've talked on this specific bugs mailing list about the drivers that dell has for Red Hat available on there site. Maybe to get basic functionality talking to Dell about sending their drivers to the kernel\x server developers getting them incorporated into the kernel or the x server would help alot in the struggle to get basic 2d support. The inhouse drivers developed at Dell does not do anything good siting idle at their website accessible to only Red Hat users.

I read recently on phoronix.com that ATI would stop supporting older cards in their proprietary driver and those cards were newer than mine. So in general the future looks gray for old hardware to get support or continued inprovements.

About the pictures I've uploaded some already. Is there any that you miss besides those that arew there or are you just wanting new ones from a new release?

About the involvement of diffrent problems in the same report I apologies for that. My excuse so far has been that
1. It...

St Peter (stpeter) wrote :
Download full text (20.8 KiB)

Hi again

As I tried to make sence of all the changes that has been made in the original report and looking through the comments I noticed that
all images of the problem that was captured and uploaded to launchpad is nowhere to be found. Why is this? Does launchpad only support log files in text or?
I'am sure I've uploaded the files. What can have gone wrong?
Have someone else removed them because they thought they were irrelevant?
This just makes my head hurt. Again it makes one feel al that work done for nothing.
Launchpad is updated on a regular basis can this have been caused by an update were a bug was not caught before deployment?
All this makes me wish I hadn't reported this bug at all.
:-( :-(
Peter

--- Den fre 2009-02-27 skrev Bryce Harrington <email address hidden>:

> Från: Bryce Harrington <email address hidden>
> Ämne: [Bug 247771] Re: [Mobility M4] Dell Inspiron 8000 Hardware graphics adapter support ATI Mobility M4 Display corruption rendering fault-Split display
> Till: <email address hidden>
> Datum: fredag 27 februari 2009 23.09
> Peter, in reviewing this bug report, I think part of the
> problem is that
> there are too many different unrelated issues being
> reported in it,
> which makes it difficult to follow and hard to understand
> what
> specifically needs to be solved.
>
> As a general rule, please always limit one issue per bug
> report. For
> this report, let's focus specifically on the split
> screen issue, as that
> sounds like the main X problem here. For any other issues
> you encounter
> please file a new bug report.
>
> What I would like to do next is to forward this bug
> upstream. However,
> before we do that it needs to be tested against a newer
> version of the
> -ati driver in case the issue has already been solved. The
> easiest way
> to do this is to boot the Jaunty Alpha-5 LiveCD, which you
> can get from
> http://cdimages.ubuntu.com/releases/jaunty/. Can you give
> that a go and
> report your findings here?
>
> Also, if at all possible please attach a digital photo of
> the screen
> when it is showing the error, as that could help upstream
> identify the
> problem. Thanks ahead of time.
>
> ** Description changed:
>
> [Problem]
> -
> - Under the Safe Graphics mode Ubuntu seem to be able to
> display the
> - desktop correctly though not at full size\resolution.
> Rez 800x600 pixel
> -
> - What happened under the live cd was that the screen was
> corrupted with
> - screwed desktop where it was wrongfully positioned and
> where it look
> - like having a part of two desktops on one screen
> overlapping each other,
> - though in reality and after investigation the screen were
> shopped up
> - into three different fields and then thrown around so
> that when the
> - pointer moved from one field to another the pointer might
> appear on a
> - different part of the screen. The fields were not equally
> sized there
> - were two-three bigger ones and one-two smaller ones. The
> CD was working
> - very hard all the time as well as the CPU and many times
> the computer
> - seemed to freeze though this could be just the poor
> performance of the
> - live cd when i ran the hardware test...

> All this makes me wish I hadn't reported this bug at all.

Easily corrected. If you wish to give up on having your bug investigated, just mark your bug report invalid.

If you do want to have your bug investigated, then test against the Alpha 5 LiveCD as I requested and I will be able to summarize your problem properly and forward it upstream. The choice is in your hands.

As long as you're willing to work with me, and abide by the Ubuntu Code of Conduct, I can help you find a solution to your problem. If you prefer to rant on about unrelated issues, or complain about the way we fix bugs, well I have many many more pleasantly written bug reports I'd rather spend my time on.

Bryce Harrington (bryce) on 2009-04-07
Changed in xserver-xorg-video-ati (Ubuntu):
status: Incomplete → Confirmed
St Peter (stpeter) wrote :

Hi
I have now tested with Ubuntu 9.04 live cd
Can't boot in normal graphics mode. Crashes don't see any x server errors though.
Boot messages are talking about inability to scale the cpu and something with lapic witch I don't know what it is.
When booting in secure graphics mode it works I got a notification in the aktivity bar telling me the x server had crashed and that there was a crash report created with all log files. I reported a new bug against x org you probably can find it searching. But I dont think that is part of this problem. Nice though that it works in secure graphics mode at least.

And yes I think it is time to send this bug upstreams. We have tested this bug from 6.06-9.04 of ubuntu so it is time it moved along.
Cheers

Bryce Harrington (bryce) on 2009-05-14
summary: - [Mobility M4] Dell Inspiron 8000 shows split display on LiveCD
+ [M4] Dell Inspiron 8000 shows split display on LiveCD
Bryce Harrington (bryce) on 2009-08-13
tags: added: intrepid
Bryce Harrington (bryce) on 2009-08-14
tags: added: jaunty
marijan (marijan-miksa) wrote :

Hi, i've been reading this all and I think I might help a litle; since dates are nowadays (allthought dell inspiron 8000 isn't) maybe someone will read this and find usefull. I have the same laptop and problem with several distros: debian 50, ubuntu 8.04, 8.10, kubuntu 8.10, 9.04 some rescue cd-s, but NOT with debian based knoppix and sidux - they read hardware perfectly. When asking for help my friend point me to correct direction and i solved problem. The trippled picture has nothing to do with ati mobility, but with screen! it is extraordinary quality then and today! So hardwer detection and instalation scripts mix up the frequences and become stupid. The solution is manualy edit xorg.conf. I copied parts of xorg.conf file from this two live distros and edit a little section "monitor", and now I'm using it allways when needed with copy-paste & ctrl+alt+backspace, then the picture becomes perfect 1400x1050 resolution. Here is my file:

Section "ServerLayout"
Identifier "X.org Configured"
Screen 0 "Screen0" 0 0
InputDevice "Mouse0" "CorePointer"
InputDevice "Keyboard0" "CoreKeyboard"
EndSection

Section "Files"
RgbPath "/usr/share/X11/rgb"
ModulePath "/usr/lib/xorg/modules"
FontPath "/usr/share/fonts/TTF"
FontPath "/usr/share/fonts/OTF"
FontPath "/usr/share/fonts/Type1"
FontPath "/usr/share/fonts/misc"
FontPath "/usr/share/fonts/75dpi/:unscaled"
EndSection

Section "Module"
Load "GLcore"
Load "dbe"
Load "dri"
Load "extmod"
Load "glx"
Load "record"
Load "xtrap"
Load "freetype"
Load "type1"
EndSection

Section "InputDevice"
Identifier "Keyboard0"
Driver "kbd"
EndSection

Section "InputDevice"
Identifier "Mouse0"
Driver "mouse"
Option "Protocol" "auto"
Option "Device" "/dev/input/mice"
Option "ZAxisMapping" "4 5 6 7"
EndSection

Section "Monitor"
Identifier "Monitor0"
VendorName "Monitor Vendor"
ModelName "Monitor Model"
HorizSync 31.5-90
VertRefresh 59-75
Option "PreferredMode" "1400x1050"
EndSection

Section "Device"
Identifier "Card0"
Driver "r128"
VendorName "ATI Technologies Inc"
BoardName "Rage Mobility M4 AGP"
BusID "PCI:1:0:0"
EndSection

Section "Screen"
Identifier "Screen0"
Device "Card0"
Monitor "Monitor0"
SubSection "Display"
Viewport 0 0
Depth 1
EndSubSection
#SubSection "Display"
#Viewport 0 0
#Depth 4
#EndSubSection
#SubSection "Display"
#Viewport 0 0
#Depth 8
#EndSubSection
#SubSection "Display"
#Viewport 0 0
#Depth 15
#EndSubSection
#SubSection "Display"
#Viewport 0 0
#Depth 16
#EndSubSection
#SubSection "Display"
#Viewport 0 0
#Depth 24
#EndSubSection
Subsection "Display"
Depth 24
Modes "1400x1050"
EndSubsection
EndSection

I commented sub sections of display cause I want only top picture so I'm not interested in lower color depths.
I hope this will help a little.

This is still a problem in Karmic Beta. I recently attempted a clean install (starting from a live desktop session) on a Dell C800 with an ATI Rage Mobility M3 and 1400x1050 monitor and saw the 'overlapping display' problem when X was started so did not proceed with the actual installation

The nature of the problem can be seen clearly on the page below

http://www.baltimoremick.com/blog/2008/08/25/dell-latitude-c800-display-problems-with-ubuntu/

Prior to this installation attempt, the laptop already had a working Xorg.conf customized after the same problem was found after installing Hardy last year. This was copied to USB before the laptop was wiped during an installation from the Karmic alternate install CD and copied back to /etc/X11 once the installation had been completed. This resolved the problem.

Several attachments follow:

The working xorg.conf taken from Hardy
The xorg log file when no conf file was present
The xorg log file when the xorg.conf file from Hardy is present

In my last post there is a typo. The card is ATI Mobility M4 (not M3)

danry25 (adn5412) wrote :

Hi, I am having the exact same issue on my Dell Inspirion 8000 which is exactly the same as domwise's except it has a 700/500 mhz processor. I am going to try the xorg fix, wish me luck!

I have the same problem on my inspiron 8000 running Ubuntu 9.10.
There is no xorg.conf file so I don't know if it's possible to fix?
However, removing the xserver-xorg-video-ati and restarting gdm is a better than nothing workarround as it falls back to the vesa driver.

Bryce Harrington (bryce) wrote :

[This is an automatic notification.]

Hi St,

This bug was reported against an earlier version of Ubuntu, can you
test if it still occurs on Lucid?

Please note we also provide technical support for older versions of
Ubuntu, but not in the bug tracker. Instead, to raise the issue through
normal support channels, please see:

    http://www.ubuntu.com/support

If you are the original reporter and can still reproduce the issue on
Lucid, please run the following command to refresh the report:

  apport-collect 247771

If you are not the original reporter, please file a new bug report, so
we can work with you as the original reporter instead (you can reference
bug 247771 in your report if you think it may be related):

  ubuntu-bug xorg

If by chance you can no longer reproduce the issue on Lucid or if you
feel it is no longer relevant, please mark the bug report 'Fix Released'
or 'Invalid' as appropriate, at the following URL:

  https://bugs.launchpad.net/ubuntu/+bug/247771

Changed in xserver-xorg-video-ati (Ubuntu):
status: Confirmed → Incomplete
tags: added: needs-retested-on-lucid-by-june

According to:
http://ubuntuforums.org/showthread.php?t=167670

You need he boot option:
vga=0x311

Bryce Harrington (bryce) wrote :

We're closing this bug since it is has been some time with no response from the original bug reporter. However, if the issue still exists in the latest development version of Ubuntu and you are the original reporter please feel free to reopen with the requested information. If you are not the original reporter, please don't reopen this one but instead file a new bug and reference this one.

Changed in xserver-xorg-video-ati (Ubuntu):
status: Incomplete → Invalid
Download full text (8.6 KiB)

Yes probably a good idea the computer was so old that I recycled it. The problem maybe left though it should have little effect on anyone more than 12 years after it's launch.

________________________________
 Från: Bryce Harrington <email address hidden>
Till: <email address hidden>
Skickat: lördag, 4 februari 2012 1:53
Ämne: [Bug 247771] Re: [M4] Dell Inspiron 8000 shows split display on LiveCD

We're closing this bug since it is has been some time with no response
from the original bug reporter.  However, if the issue still exists in
the latest development version of Ubuntu and you are the original
reporter please feel free to reopen with the requested information.  If
you are not the original reporter, please don't reopen this one but
instead file a new bug and reference this one.

** Changed in: xserver-xorg-video-ati (Ubuntu)
      Status: Incomplete => Invalid

--
You received this bug notification because you are subscribed to the bug
report.
https://bugs.launchpad.net/bugs/247771

Title:
  [M4] Dell Inspiron 8000 shows split display on LiveCD

Status in “xserver-xorg-video-ati” package in Ubuntu:
  Invalid

Bug description:
  [Problem]
  On LiveCD boot, desktop is split into several unequally sized overlapping areas on the screen.  Works okay with -vesa at 800x600.

  [Tested with]
  Live cd of Ubuntu 8.04 ( Hardy Heron ) and Ubuntu 8.10 Alpha 4 and Beta 1 ( Intrepid Ibex )

  Dell Inspirion 8000
  Processor: Intel PIII mobile 900\700Mhz speedstep, MMX SSE
  Cache: 256 KBytes
  Bus speed: 100 Mhz
  Chipset: Intel 815E
  Southbridge: Intel 82801 BA (ICH2-M)
  AGP version 2.0
  ATI Mobility 128 M4 AGP 4X 16 MBytes RAM graphics adapter

  [Original Report]
  I expected Ubuntu to load normally and be able to recognize the graphics adapter without any problems since this is an old adapter this should not be a problem since both new and old hardware should work with it anyway. Mobile drivers are not as common as desktop variants but today laptops are outselling desktops in most segments.I don't know what kind of experience Ubuntu would have given me on this old low spec hardware since the live cd may not have given it justice though i know that it would become e waste if it isn't possible to use it. It is really loud and flaming hot but it could work as some kind of server or backup to my other computers. Sure I'm mostly interested to know that it can work rather than that i need it to work still support would be a great thing.

  Under the Safe Graphics mode Ubuntu seem to be able to display the
  desktop correctly though not at full size\resolution. Rez 800x600
  pixel

  What happened under the live cd was that the screen was corrupted with
  screwed desktop where it was wrongfully positioned and where it look
  like having a part of two desktops on one screen overlapping each
  other, though in reality and after investigation the screen were
  shopped up into three different fields and then thrown around so that
  when the pointer moved from one field to another the pointer might
  appear on a different part of the screen. The fields were not equally
  sized there were two-three bigger ones and one-two smaller ones. The
  ...

Read more...

Lorenzo (lorenzo-costanzia) wrote :

For anyone still having this problem, please try putting the atttached file into /usr/share/X11/xorg.conf.d/. You don't need to create xorg.conf.

Lorenzo (lorenzo-costanzia) wrote :

FYI my solution works for the 1600x1200 panel, and I am using lubuntu 13.04.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.